import { defineCollection, z } from 'astro:content';

const libraryCollection = defineCollection({
  type: 'data',
  schema: z.object({
    title: z.string(),
    checkedOut: z.boolean(),
    link: z.string().url(),
    description: z.ostring(),
    date: z.date(),
    mainAuthor: z.ostring(),
  }),
});

const blogCollection = defineCollection({
  type: 'content',
  schema: z.object({
    title: z.string(),
    subtitle: z.ostring(),
    summary: z.string(),
    publishDate: z.date(),
    linkPreview: z.object({
      // If not defined, will take the value of `title`
      title: z.ostring(),
      // If not defined, will take the value of `summary`
      description: z.ostring(),
      image: z.object({
        path: z.string(),
        altText: z.string(),
      }),
    }),
  }),
});

export const collections = {
  library: libraryCollection,
  blog: blogCollection,
};
